<?php

namespace App\Http\Controllers;

use App\Models\Acesso;
use App\Models\Categoria;
use App\Models\Funcionario;
use App\Models\Sector;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use Yajra\DataTables\Facades\DataTables;

class AcessoController extends Controller
{


    public function close_acesso(Request $request){

        $pass=$request->password;
        $actual=Auth::user();
        if( Hash::check($pass, $actual->password)){

            $acesso= Acesso::where('id',$request->id_acesso)->first();
                $acesso->sessao=1;
            $acesso->save();
           return redirect()->route('us.escessodevices');
        }else{
            return redirect()->back()->with(['Erro'=>'A sua senha não está correcta, não foi possível editar este dado']);

        }

    }


    public function fecharacesso ($id){

        $acesso=Acesso::where('id',$id)->first();
            $acesso->sessao=1;
        $acesso->save();
        return redirect()->back();
    }



}
